#pragma once

#include "NetCli_Recipe.h"

class NetCli_RecipeChild : public NetCli_Recipe
{
public:	
	static	bool _Init();
	static	bool _Release();

public:
	//合成成功
	virtual void RL_LockResourceAndRefineResultOK( int RecipeID ,vector<ItemFieldStruct>& ItemList  );

	//合成失敗
	virtual void RL_LockResourceAndRefineResultFailed( int RecipeID , vector<ItemFieldStruct>& ItemList  );

	//合成條件不符合
	virtual void RL_LockResourceAndRefineResultError( int RecipeID , RefineResultENUM	Result );
};

